
import { _decorator, Component, Node, EventTouch, UITransform, Size, VideoPlayer } from 'cc';
const { ccclass, property } = _decorator;

/**
 * Predefined variables
 * Name = NewComponent
 * DateTime = Wed Sep 14 2022 10:11:31 GMT+0800 (中国标准时间)
 * Author = Koei
 * FileBasename = NewComponent.ts
 * FileBasenameNoExtension = NewComponent
 * URL = db://assets/NewComponent.ts
 * ManualUrl = https://docs.cocos.com/creator/3.4/manual/zh/
 *
 */
 
@ccclass('NewComponent')
export class NewComponent extends Component {
    // [1]
    // dummy = '';

    // [2]
    // @property
    // serializableDummy = 0;

    start () {
        // [3]
        let com = this.node.getComponent(VideoPlayer);
        com.node.on(VideoPlayer.EventType.READY_TO_PLAY,()=>{
            console.log('READY_TO_PLAY')
            

        })
        com.node.on(VideoPlayer.EventType.PLAYING,()=>{
            console.log('PLAYING')
            let videoList = document.getElementsByClassName("cocosVideo");
            // Only works after calling video.play, iterating through all videos, if there is more than one
            for (let idx = 0; idx< videoList.length; idx++){
                let video = videoList[idx];
                    video.muted = false; //Set the hierarchy of video
                   
            }
        })
    }

 
    // update (deltaTime: number) {
    //     // [4]
    // }
}

/**
 * [1] Class member could be defined like this.
 * [2] Use `property` decorator if your want the member to be serializable.
 * [3] Your initialization goes here.
 * [4] Your update function goes here.
 *
 * Learn more about scripting: https://docs.cocos.com/creator/3.4/manual/zh/scripting/
 * Learn more about CCClass: https://docs.cocos.com/creator/3.4/manual/zh/scripting/decorator.html
 * Learn more about life-cycle callbacks: https://docs.cocos.com/creator/3.4/manual/zh/scripting/life-cycle-callbacks.html
 */
